package com.ibm.eis.mdrr.query.server;

import java.util.List;

/**
 * Functions required of application-specific class representing an item instance
 * found by a query's ItemTemplate evaluation.
 * Accessed in the XLST transform, where it is formatted as a <cmdbf:item> element.
 */
public interface IItem {
	
	/**
	 * @return a List of the InstanceIds associated with this item (must have at least one element)
	 */
	public List<InstanceId> getInstanceIds();
	
	/**
	 * Get the records associated with this item
	 * 
	 * @return a List of the records associated with this item (may be empty or null)
	 */
	public List<IRecord> getRecords();
	
	/**
	 * @return additional record types associated with this item (may be empty or null)
	 */
	public List<AdditionalRecordType> getAdditionalRecordTypes();
}
