package com.ibm.eis.mdrr.query.server;

import java.util.Set;

/**
 * Functions required of the application-specific class to evaluate a <cmdbf:itemTemplate>.
 * These functions are invoked indirectly by the XSLT transform through the template evaluator,
 * which may be the DefaultTemplateEvaluator or one supplied by the framework user.
 */
public interface IItemTemplateEvaluator {
	
	/**
	 * @return name of the item template, from the id attribute of the <cmdbf:itemTemplate> element 
	 */
	public String getTemplateName();
	
	/**
	 * @return a set of IItems specified by this item template
	 * @throws CMDBfException
	 */
	public Set<IItem> evaluate() throws CMDBfException;
}
