package com.ibm.eis.mdrr.query.server;

/**
 * Functions required of application-specific class representing a record associated with an item or a relationship.
 * Accessed in the XLST transform, where it is formatted as a <cmdbf:record> element.
 */
public interface IRecord {
	
	/**
	 * @return the type of this record, as a string
	 */
	public String getType();
	
	/**
	 * @return this record's id, formatted by the XSLT transform into the <cmdbf:recordMetadata> subelement <cmdbf:recordId>
	 */
	public String getRecordId();
}
