package com.ibm.eis.mdrr.query.server;

/**
 * Functions required of application-specific class representing a relationship instance
 * found by a query's RelationshipTemplate evaluation.
 * Accessed in the XLST transform, where it is formatted as a <cmdbf:relationship> element.
 */
public interface IRelationship extends IItem {
	
	/**
	 * @return source item of the relationship
	 */
	public IItem getSource();
	
	/**
	 * @return target item of the relationship
	 */
	public IItem getTarget();
}
