package com.ibm.eis.mdrr.query.server;

import org.w3c.dom.Element;

/**
 * Functions required of a the template evaluator factory
 * Used to construct an instance of the DefaultTemplateEvaluator
 */
public interface ITemplateEvaluatorFactory {
	
	/**
	 * @param itemTemplate a DOM representation for the <cmdbf:itemTemplate> element of a query
	 * @return an IItemTemplateEvaluator that can perform the query specified in the itemTemplate
	 * @throws CMDBfException
	 */
	public IItemTemplateEvaluator createItemTemplateEvaluator(Element itemTemplate) throws CMDBfException;
	
	/**
	 * @param relationshipTemplate a DOM representation for the <cmdbf:relationshipTemplate> element of a query
	 * @return an IRelationshipTemplateEvaluator that can perform the query specified in the relationshipTemplate
	 * @throws CMDBfException
	 */
	public IRelationshipTemplateEvaluator createRelationshipTemplateEvaluator(Element relationshipTemplate) throws CMDBfException;
}
