package com.ibm.eis.mdrr.query.server;

import java.util.List;

/**
 * Side-effect free tility functions used in XSLT script to iterate over List elements
 */
public class ListUtil {
	
	/**
	 * Function to test whether list has any elements
	 * 
	 * @param list -- list to test
	 * @return true if list has no elements (is null or empty)
	 */
	public static boolean isEmpty(List list) {
		return list == null || list.isEmpty();
	}
	
	/**
	 * Returns the head element of a list.  Fails if the list is empty.
	 * 
	 * @param list -- list from which to get the head
	 * @return the first element of the list
	 * @throws IndexOutOfBoundsException if list is empty
	 */
	public static Object head(List list) {
		return list.get(0);
	}
	
	/**
	 * Returns a sublist that is the tail of the given list.  Fails if the list is empty.
	 * 
	 * @param list -- list from which to return tail
	 * @return a sublist of the given list containing all but the first element
	 * @throws IndexOutOfBoundsException if list is empty
	 */
	public static List tail(List list) {
		return list.subList(1, list.size());
	}
}
